Skip to content
Browse files

group :mri deleted in favor of RUBY_ENGINE and RUBY_VERSION usage.

Allow use json, yajl-ruby and nokogiri on MRI and Rubinius only.
jruby-debug added only for jruby platform

Signed-off-by: José Valim <jose.valim@gmail.com>
  • Loading branch information...
1 parent 39a246f commit 61001e766de974a8864c0bc2cf915888d277a0ea @spastorino spastorino committed with josevalim May 19, 2010
Showing with 9 additions and 8 deletions.
  1. +9 −8 Gemfile
View
17 Gemfile
@@ -6,17 +6,18 @@ gem "rails", :path => File.dirname(__FILE__)
gem "rake", ">= 0.8.7"
gem "mocha", ">= 0.9.8"
-group :mri do
+mri = !defined?(RUBY_ENGINE) || RUBY_ENGINE == "ruby"
+if mri && RUBY_VERSION < '1.9'
+ gem "system_timer"
+ gem "ruby-debug", ">= 0.10.3"
+end
+
+if mri || RUBY_ENGINE == "rbx"
gem 'json'
gem 'yajl-ruby'
gem "nokogiri", ">= 1.4.0"
-
- if !defined?(RUBY_ENGINE) && RUBY_VERSION < '1.9'
- gem "system_timer"
- gem "ruby-debug", ">= 0.10.3"
- elsif defined?(RUBY_ENGINE) && RUBY_ENGINE == "ruby" && RUBY_VERSION < '1.9.2' && !ENV['CI']
- gem "ruby-debug19"
- end
+elsif RUBY_ENGINE == "jruby"
+ gem "jruby-debug"
end
# AR

0 comments on commit 61001e7

Please sign in to comment.
Something went wrong with that request. Please try again.